ClassPathModel (Apache OpenNLP Tools Models 2.5.9 API)
Description: declaration: package: opennlp.tools.models, record: ClassPathModel

# Record Class ClassPathModel

java.lang.Object
java.lang.Record
opennlp.tools.models.ClassPathModel

Record Components:
  `properties` - The common and specific properties of a model.
  `model` - The binary form of a model read from the classpath.

public record ClassPathModel(Properties properties, byte[] model) extends Record
A record that holds the binary representation of an OpenNLP model and related properties.

See Also:
  - `BaseModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassPathModel(Properties properties, byte[] model)`
  Creates an instance of a `ClassPathModel` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getModelLanguage()`
  `String`
  `getModelName()`
  `String`
  `getModelSHA256()`
  `String`
  `getModelVersion()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `byte[]`
  `model()`
  Returns the value of the `model` record component.
  `Properties`
  `properties()`
  Returns the value of the `properties` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassPathModel

    public ClassPathModel(Properties properties, byte[] model)
    Creates an instance of a `ClassPathModel` record class.
    Parameters:
      `properties` - the value for the `properties` record component
      `model` - the value for the `model` record component

- ## Method Details

  - ### getModelVersion

    public String getModelVersion()
    Returns:
      Retrieves the value of the `model.version` property or `"unknown"` if it could not be read.

  - ### getModelName

    public String getModelName()
    Returns:
      Retrieves the value of the `model.name` property or `"unknown"` if it could not be read.

  - ### getModelSHA256

    public String getModelSHA256()
    Returns:
      Retrieves the value of the `model.sha256` property or `"unknown"` if it could not be read.

  - ### getModelLanguage

    public String getModelLanguage()
    Returns:
      Retrieves the value of the `model.language` property or `"unknown"` if it could not be read.

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### properties

    public Properties properties()
    Returns the value of the `properties` record component.
    Returns:
      the value of the `properties` record component

  - ### model

    public byte[] model()
    Returns the value of the `model` record component.
    Returns:
      the value of the `model` record component